Subject: Re: bug#7489: [coreutils] over aggressive threads in sort

From: DJ Lucas <[email-masked]>
Date: Mon, 29 Nov 2010 01:14:21 -0600

On 11/27/2010 08:18 PM, DJ Lucas wrote:

> 
> lfs [ /lfs-source-archive/coreutils-8.7-new/src ]$ cat
> /lfs-source-archive/cracklib-words-20080507 | sort -u > /dev/null; echo $?
> 0
> lfs [ /lfs-source-archive/coreutils-8.7-new/src ]$
> 
> Appears to work as expected.  Thanks for jumping on this so quickly.
> 

Okay, so that fixes the segfault for both the original example from the
RedHat bug, and the example I submitted. However, CPU is still showing
100% utilization in the original test (from RedHat bz), and the test
that, I believe (not sure of the quoting), was submitted by PÃdraig
Brady still fails. I don't have a link to the original (maybe private
message), but it is quoted here:
http://lists.gnu.org/archive/html/coreutils/2010-11/msg00124.html. I ran
only the quoted test. Unrelated bug? (again, not entirely sure of the
context)

lfs [ lfs-source-archive ]$ seq 100000 > in
lfs [ lfs-source-archive ]$ mkfifo fifo
lfs [ lfs-source-archive ]$ (for i in $(seq 12); do read line; echo $i;
sleep .1; done
>   cat > /dev/null) < fifo &
[1] 16123
lfs [ lfs-source-archive ]$ (ulimit -t 1; sort in > fifo \
>   || echo killed via $(env kill -l $(expr $? - 128)))
1
2
3
4
5
6
7
8
9
killed via KILL
lfs [ lfs-source-archive ]$ 10
11
12
^C
[1]+  Done                    ( for i in $(seq 12);
do
    read line; echo $i; sleep .1;
done; cat > /dev/null ) < fifo

-- DJ Lucas

-- 
This message has been scanned for viruses and
dangerous content, and is believed to be clean.